server {
        listen 8080;
        server_name         ecolyo-agent.apps.grandlyon.com;

        location / {
            root /usr/share/nginx/html;
            index index.html index.htm;
            try_files $uri $uri/ /index.html =404;
        }
        location /api {  
            proxy_pass https://backend:1443/api;
        }
        location /OAuth2Login {
            proxy_pass https://backend:1443/OAuth2Login;
        }
        location /OAuth2Callback {
            proxy_pass https://backend:1443/OAuth2Callback;
        }
        location /Logout {
            proxy_pass https://backend:1443/Logout;
        }
        location /swagger {
            proxy_pass https://backend:1443/swagger;
        }
        location /imageNames {
            proxy_pass https://backend:1443/api/admin/imageNames;
        }
        location /assets {
            proxy_pass https://backend:1443/assets;
        }
}

